## EXPORT_SPEC int UpnpSetWebServerRootDir

## ( IN const char* rootDir )

> UpnpSetWebServerRootDir sets the document root directory for the internal web server.

## Documentation

> UpnpSetWebServerRootDir sets the document root directory for the internal web server. This directory is considered the root directory (i.e. "/") of the web server.

> This function also activates or deactivates the web server. To disable the web server, pass `NULL` for rootDir; to activate, pass a valid directory string.

> Note that this function is not available when the web server is not compiled into the SDK.

Parameters:
  rootDir - Path of the root directory of the web server.
Returns:
  [int] An integer representing one of the following:
  - `UPPN_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_ARGUMENT`: rootDir is an invalid directory.

Alphabetic index

This page was generated with the help of DOC++.